Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.repository.util
Class RepositoryNodePath

    java.lang.Object
      org.modeshape.repository.util.RepositoryNodePath

    @Immutable
    public class RepositoryNodePath

extends Object

An immutable representation of a path to a node within the named workspace of a named repository source.

Field Summary
`protected static Pattern` | `PATTERN`

Constructor Summary
`RepositoryNodePath(String repositorySourceName, String workspaceName, String nodePath)`

Method Summary
`boolean` | `equals(Object obj)`
`String` | `getNodePath()`
`String` | `getRepositorySourceName()`
`String` | `getWorkspaceName()`
`int` | `hashCode()`
`static RepositoryNodePath` | `parse(String path, String repositorySourceName, String defaultRepositoryWorkspaceName)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### PATTERN

    protected static final Pattern PATTERN

Constructor Detail

### RepositoryNodePath

    public RepositoryNodePath(String repositorySourceName,
                              String workspaceName,
                              String nodePath)

Method Detail

### parse

    public static RepositoryNodePath parse(String path,
                                           String repositorySourceName,
                                           String defaultRepositoryWorkspaceName)

### getNodePath

    public String getNodePath()

  Returns:
    nodePath

### getRepositorySourceName

    public String getRepositorySourceName()

  Returns:
    repositoryName

### getWorkspaceName

    public String getWorkspaceName()

  Returns:
    the workspace name

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.